as.matrix.BigBang {galgo} | R Documentation

## Prints the representation of the BigBang object

### Description

Prints the representation of the BigBang object.

### Usage

    ## S3 method for class 'BigBang'
    as.matrix(x, filter=c("none", "solutions", "nosolutions"), subset=TRUE, ...)

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*print()`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       ni <- Niche(chromosomes=newRandomCollection(cr, 10))
       wo <- World(niches=newRandomCollection(ni,2))
       ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                   callBackFunc=plot,
                   fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))

       #evolve(ga) ## not needed here

       bb <- BigBang(galgo=ga, maxSolutions=10, maxBigBangs=10, saveGeneBreaks=1:100)
       ## Not run: blast(bb)
       bb
       print(bb)
       summary(bb)
       ## Not run: as.matrix(bb)

[Package galgo version 1.4 Index]